BDU:2022-04913: Уязвимость функции memcpy() пакета программ сетевого взаимодействия Samba, позволяющая нарушителю оказать влияние на конфиденциальность защищаемой информации или вызвать отказ в обслуживании

Описание уязвимости Уязвимость функции memcpy() пакета программ сетевого взаимодействия Samba связана с ошибками при инициализации переменной count. Эксплуатация уязвимости может позволить нарушителю, действующему удалённо, оказать влияние на конфиденциальность защищаемой информации или вызвать отказ в обслуживании путем отправки специально созданных сообщений
Вендор Samba Team, Сообщество свободного программного обеспечения, Canonical Ltd., ООО «Ред Софт»
Наименование ПО Samba, Debian GNU/Linux, Ubuntu, РЕД ОС (запись в едином реестре российских программ №3751)
Версия ПО
  • 4.4.16 (Samba)
  • 10.0 (Debian GNU/Linux)
  • 20.04 LTS (Ubuntu)
  • 7.3 (РЕД ОС)
  • 22.04 LTS (Ubuntu)
  • 4.15.2 (Samba)
  • 4.14.10 (Samba)
  • до 4.13.14 включительно (Samba)
Тип ПО Сетевое программное средство, Операционная система
Операционные системы и аппаратные платформы
Тип ошибки Выход операции за границы буфера в памяти, Чтение за границами буфера, Использование неинициализированной переменной
Идентификатор типа ошибки
Класс уязвимости Уязвимость кода
Дата выявления 18.07.2022
Базовый вектор уязвимости
Уровень опасности уязвимости Средний уровень опасности (базовая оценка CVSS 2.0 составляет 6,4)
Средний уровень опасности (базовая оценка CVSS 3.0 составляет 5,4)
Возможные меры по устранению уязвимости
Статус уязвимости Подтверждена производителем
Наличие эксплойта Данные уточняются
Способ эксплуатации
  • Манипулирование структурами данных
Способ устранения Обновление программного обеспечения
Информация об устранении Уязвимость устранена
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация Данные уточняются
Последние изменения